Skip to main content
PATCH
Patch refund

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to update the refund for.

refundId
string
required

The UUID of the refund to update.

Body

application/json

Parameters for partially updating a refund. All fields are optional. If allocations or payments are provided, they will fully replace the existing allocations or payments respectively.

external_id
string | null

An external identifier for the refund transaction.

completed_at
string<date-time>

The time the refund was completed.

allocations
object[]

The targets of the refund. If provided, all existing allocations will be replaced with these new allocations. Each allocation specifies how much of the refund should be applied to a specific invoice, line item, payment, or customer.

payments
object[]

The payment methods and amounts used to process the refund. If provided, all existing payments will be replaced with these new payments.

tags
object[]

Tags to associate with the refund. If provided, all existing tags will be replaced.

memo
string | null

Memo for any text you would like to associate with the refund (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the refund. Can be used to filter when listing refunds.

Response

Refund updated successfully.

data
object
required

A refund represents a transaction that returns value to from a business to a customer. A specific payment can be refunded or a general refund can be applied to an invoice.